<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Links</title>
        <link rel="stylesheet" href="../../../dist/css/plumcss.css">
        <link rel="stylesheet" href="../../../dist/css/plumcss_colors.css">
    </head>
    <body class="pt-20 bg-grey-1 tx-center tx-bluegrey-6">
        <h1>
            Uso de z-index
        </h1>
        <br>
        <h2>
            .z-40 .z-30 .z-20 .z-10
        </h2>
        <div class="relative mx-a" style="height: 200px; width: 300px;">
            <div class="box box--white absolute flex justify-center align-center w-fit z-40" style="width: 148px; height: 148px;">
                z-40
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit z-30 mt-4 ml-4" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit z-20 mt-8 ml-8" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit z-10 mt-12 ml-12" style="width: 148px; height: 148px;">
                
            </div>
        </div>
        <br><br>
        <h2>
            .-z-10 .-z-9 .-z-8 ... .z-8 .z-9 .z-10
        </h2>
        <div class="relative mx-a" style="height: 200px; width: 300px;">
            <div class="box box--white absolute flex justify-center align-center w-fit -z-10" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit -z-9 mt-4 ml-4" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit -z-8 mt-8 ml-8" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit -z-7 mt-12 ml-12" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit -z-6 mt-16 ml-16" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit -z-5 mt-20 ml-20" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit -z-4 mt-24 ml-24" style="width: 148px; height: 148px;">
                
            </div>

            <div class="box box--white absolute flex justify-center align-center w-fit -z-3 mt-28 ml-28" style="width: 148px; height: 148px;">
                
            </div>

            <div class="box box--white absolute flex justify-center align-center w-fit -z-2 mt-32 ml-32" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit -z-1 mt-36 ml-36" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit -z-0 mt-40 ml-40" style="width: 148px; height: 148px;">
                z-0
            </div>
        </div>

        <br><br><br>
        <div class="relative mx-a" style="height: 200px; width: 300px;">
            <div class="box box--white absolute flex justify-center align-center w-fit r-0 z-1" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit z-2 mt-4 r-0 mr-4" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit z-3 mt-8 r-0 mr-8" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit z-4 mt-12 r-0 mr-12" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit z-5 mt-16 r-0 mr-16" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit z-6 mt-20 r-0 mr-20" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit z-7 mt-24 r-0 mr-24" style="width: 148px; height: 148px;">
                
            </div>

            <div class="box box--white absolute flex justify-center align-center w-fit z-8 mt-28 r-0 mr-28" style="width: 148px; height: 148px;">
                
            </div>

            <div class="box box--white absolute flex justify-center align-center w-fit z-9 mt-32 r-0 mr-32" style="width: 148px; height: 148px;">
                
            </div>
            <div class="box box--white absolute flex justify-center align-center w-fit z-10 mt-36 r-0 mr-36" style="width: 148px; height: 148px;">
                z-10
            </div>
            <br><br><br>
        </div>
    </body>
</html>